<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::Flags Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structtesting_1_1Flags.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">testing::Flags Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a8bee2b5f94d8248b6791d6b005db146f"><td class="memItemLeft" align="right" valign="top"><a id="a8bee2b5f94d8248b6791d6b005db146f"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>AlsoRunDisabledTests</b> (bool also_run_disabled_tests)</td></tr>
<tr class="separator:a8bee2b5f94d8248b6791d6b005db146f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62660e44922321f7640bc951a04c2296"><td class="memItemLeft" align="right" valign="top"><a id="a62660e44922321f7640bc951a04c2296"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>BreakOnFailure</b> (bool break_on_failure)</td></tr>
<tr class="separator:a62660e44922321f7640bc951a04c2296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c7d89f62f4328ae0ced66154ef96b44"><td class="memItemLeft" align="right" valign="top"><a id="a2c7d89f62f4328ae0ced66154ef96b44"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>CatchExceptions</b> (bool catch_exceptions)</td></tr>
<tr class="separator:a2c7d89f62f4328ae0ced66154ef96b44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4468e5625833043596c44be174349d8c"><td class="memItemLeft" align="right" valign="top"><a id="a4468e5625833043596c44be174349d8c"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>DeathTestUseFork</b> (bool death_test_use_fork)</td></tr>
<tr class="separator:a4468e5625833043596c44be174349d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76fceab87a2bf1e45d5fa032083a9b13"><td class="memItemLeft" align="right" valign="top"><a id="a76fceab87a2bf1e45d5fa032083a9b13"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>FailFast</b> (bool fail_fast)</td></tr>
<tr class="separator:a76fceab87a2bf1e45d5fa032083a9b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc7350b7c1ac4c0e0efe2d9a94729eb7"><td class="memItemLeft" align="right" valign="top"><a id="afc7350b7c1ac4c0e0efe2d9a94729eb7"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Filter</b> (const char *filter)</td></tr>
<tr class="separator:afc7350b7c1ac4c0e0efe2d9a94729eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a825a5d763a31fe6c28f543990bd336df"><td class="memItemLeft" align="right" valign="top"><a id="a825a5d763a31fe6c28f543990bd336df"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ListTests</b> (bool list_tests)</td></tr>
<tr class="separator:a825a5d763a31fe6c28f543990bd336df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a507916734a6d7ff2dd02891d7849f2d3"><td class="memItemLeft" align="right" valign="top"><a id="a507916734a6d7ff2dd02891d7849f2d3"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Output</b> (const char *output)</td></tr>
<tr class="separator:a507916734a6d7ff2dd02891d7849f2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367d58aed5d9b8959b648d758449e82c"><td class="memItemLeft" align="right" valign="top"><a id="a367d58aed5d9b8959b648d758449e82c"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Brief</b> (bool brief)</td></tr>
<tr class="separator:a367d58aed5d9b8959b648d758449e82c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4dc8454995fb3691399a049e95de179"><td class="memItemLeft" align="right" valign="top"><a id="af4dc8454995fb3691399a049e95de179"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>PrintTime</b> (bool print_time)</td></tr>
<tr class="separator:af4dc8454995fb3691399a049e95de179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d4880f05d0c9bd6acd4c67ebe87f9e0"><td class="memItemLeft" align="right" valign="top"><a id="a2d4880f05d0c9bd6acd4c67ebe87f9e0"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>RandomSeed</b> (int32_t random_seed)</td></tr>
<tr class="separator:a2d4880f05d0c9bd6acd4c67ebe87f9e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56255ab957ff2fb03f6c3e9f4e3d56f1"><td class="memItemLeft" align="right" valign="top"><a id="a56255ab957ff2fb03f6c3e9f4e3d56f1"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Repeat</b> (int32_t repeat)</td></tr>
<tr class="separator:a56255ab957ff2fb03f6c3e9f4e3d56f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19ddbbaed61bda44a1940333b7c5a469"><td class="memItemLeft" align="right" valign="top"><a id="a19ddbbaed61bda44a1940333b7c5a469"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Shuffle</b> (bool shuffle)</td></tr>
<tr class="separator:a19ddbbaed61bda44a1940333b7c5a469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafbd8a4b7d59f7780d10c15aa0fdf456"><td class="memItemLeft" align="right" valign="top"><a id="aafbd8a4b7d59f7780d10c15aa0fdf456"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>StackTraceDepth</b> (int32_t stack_trace_depth)</td></tr>
<tr class="separator:aafbd8a4b7d59f7780d10c15aa0fdf456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf0f64310b28eadbbfbb35584ebfc71"><td class="memItemLeft" align="right" valign="top"><a id="a9cf0f64310b28eadbbfbb35584ebfc71"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>StreamResultTo</b> (const char *stream_result_to)</td></tr>
<tr class="separator:a9cf0f64310b28eadbbfbb35584ebfc71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad856df862414ed0dadf80b5e03829cc7"><td class="memItemLeft" align="right" valign="top"><a id="ad856df862414ed0dadf80b5e03829cc7"></a>
static <a class="el" href="structtesting_1_1Flags.html">Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ThrowOnFailure</b> (bool throw_on_failure)</td></tr>
<tr class="separator:ad856df862414ed0dadf80b5e03829cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8ebf8c68f918b9039926b569c880f910"><td class="memItemLeft" align="right" valign="top"><a id="a8ebf8c68f918b9039926b569c880f910"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>also_run_disabled_tests</b></td></tr>
<tr class="separator:a8ebf8c68f918b9039926b569c880f910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acccce2a9673bb61751269d2ef9c21c89"><td class="memItemLeft" align="right" valign="top"><a id="acccce2a9673bb61751269d2ef9c21c89"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>break_on_failure</b></td></tr>
<tr class="separator:acccce2a9673bb61751269d2ef9c21c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06984d0553f09716e1bd9f159e7cc644"><td class="memItemLeft" align="right" valign="top"><a id="a06984d0553f09716e1bd9f159e7cc644"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>catch_exceptions</b></td></tr>
<tr class="separator:a06984d0553f09716e1bd9f159e7cc644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cdef4e6e102771fc15940931dd07e5c"><td class="memItemLeft" align="right" valign="top"><a id="a7cdef4e6e102771fc15940931dd07e5c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>death_test_use_fork</b></td></tr>
<tr class="separator:a7cdef4e6e102771fc15940931dd07e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f149e4d169ef3d2707c5e4cbca04753"><td class="memItemLeft" align="right" valign="top"><a id="a9f149e4d169ef3d2707c5e4cbca04753"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>fail_fast</b></td></tr>
<tr class="separator:a9f149e4d169ef3d2707c5e4cbca04753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa52c1048a7e3cbe726ed4160f2e05d14"><td class="memItemLeft" align="right" valign="top"><a id="aa52c1048a7e3cbe726ed4160f2e05d14"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>filter</b></td></tr>
<tr class="separator:aa52c1048a7e3cbe726ed4160f2e05d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c73f29131074146224018066379fb2f"><td class="memItemLeft" align="right" valign="top"><a id="a3c73f29131074146224018066379fb2f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>list_tests</b></td></tr>
<tr class="separator:a3c73f29131074146224018066379fb2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c8289b3af9310744bc25280e3980e4b"><td class="memItemLeft" align="right" valign="top"><a id="a8c8289b3af9310744bc25280e3980e4b"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>output</b></td></tr>
<tr class="separator:a8c8289b3af9310744bc25280e3980e4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acffa8259476e4f802ed15d9fc9e2352c"><td class="memItemLeft" align="right" valign="top"><a id="acffa8259476e4f802ed15d9fc9e2352c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>brief</b></td></tr>
<tr class="separator:acffa8259476e4f802ed15d9fc9e2352c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8758d574ce5513402679df258f788733"><td class="memItemLeft" align="right" valign="top"><a id="a8758d574ce5513402679df258f788733"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>print_time</b></td></tr>
<tr class="separator:a8758d574ce5513402679df258f788733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b3c85eff50bc081ab6c590359ad190"><td class="memItemLeft" align="right" valign="top"><a id="a89b3c85eff50bc081ab6c590359ad190"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>random_seed</b></td></tr>
<tr class="separator:a89b3c85eff50bc081ab6c590359ad190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a396ed200e54cd32883504b668eeb5632"><td class="memItemLeft" align="right" valign="top"><a id="a396ed200e54cd32883504b668eeb5632"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>repeat</b></td></tr>
<tr class="separator:a396ed200e54cd32883504b668eeb5632"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c689e47e0f55c16116ac2a1d3b05d6"><td class="memItemLeft" align="right" valign="top"><a id="a51c689e47e0f55c16116ac2a1d3b05d6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>shuffle</b></td></tr>
<tr class="separator:a51c689e47e0f55c16116ac2a1d3b05d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd60cacac5202d70bdbca9227e77c7f"><td class="memItemLeft" align="right" valign="top"><a id="aedd60cacac5202d70bdbca9227e77c7f"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><b>stack_trace_depth</b></td></tr>
<tr class="separator:aedd60cacac5202d70bdbca9227e77c7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab09849fd3e095d5628dec65ec4dce9e1"><td class="memItemLeft" align="right" valign="top"><a id="ab09849fd3e095d5628dec65ec4dce9e1"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>stream_result_to</b></td></tr>
<tr class="separator:ab09849fd3e095d5628dec65ec4dce9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e7d21e31e641efe47b8050759e001a"><td class="memItemLeft" align="right" valign="top"><a id="ab8e7d21e31e641efe47b8050759e001a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>throw_on_failure</b></td></tr>
<tr class="separator:ab8e7d21e31e641efe47b8050759e001a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>gtest_unittest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="structtesting_1_1Flags.html">Flags</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
